Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook
Class MonthPlan

    java.lang.Object
      com.knowgate.addrbook.MonthPlan

All Implemented Interfaces:
  java.util.Enumeration<Meeting>

    public class MonthPlan

extends java.lang.Object
implements java.util.Enumeration<Meeting>

Enumeration of meetings for a given month

Constructor Summary
`MonthPlan()`

Method Summary
`java.util.Date` | `firstDay()`
`java.util.Date` | `getMeetingEnd(int nMeeting)`
`java.lang.String` | `getMeetingGuid(int nMeeting)`
`java.util.Date` | `getMeetingStart(int nMeeting)`
`java.lang.String` | `getMeetingTitle(int nMeeting)`
`boolean` | `hasAnyMeeting(int nMonthDay)`
`boolean` | `hasMoreElements()`
`boolean` | `isMeetingPrivate(int nMeeting)`
`java.util.Date` | `lastDay()`
`int` | `loadMeetingsForAddress(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sAddrId, int iYearMinus1900, int iMonthZeroBased)` Load meetings taking place at an Address
`int` | `loadMeetingsForFellow(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sFellowId, int iYearMinus1900, int iMonthZeroBased)` Load meetings for a Fellow
`int` | `loadMeetingsForRoom(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sRoomNm, int iYearMinus1900, int iMonthZeroBased)` Load meetings taking place at a Room
`Meeting` | `nextElement()`
`java.util.Date` | `nextMonth()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonthPlan

    public MonthPlan()

Method Detail

### firstDay

    public java.util.Date firstDay()

  Returns:
    Date of first day of the month

### lastDay

    public java.util.Date lastDay()

  Returns:
    Date of last day of the month

### nextMonth

    public java.util.Date nextMonth()

  Returns:
    Date of first day of next month

### hasAnyMeeting

    public boolean hasAnyMeeting(int nMonthDay)

  Returns:
    true if the given month day [1..31] has any mettings
  Since:
    5.0

### loadMeetingsForFellow

    public int loadMeetingsForFellow(JDCConnection oConn,
                                     int iDomainId,
                                     java.lang.String sWorkAreaId,
                                     java.lang.String sFellowId,
                                     int iYearMinus1900,
                                     int iMonthZeroBased)
                              throws java.sql.SQLException

  Load meetings for a Fellow

  Parameters:
    `oConn` - JDCConnection
    `iDomainId` - int Domain Id.
    `sWorkAreaId` - Work Area GUID
    `sFellowId` - Fellow GUID
    `iYearMinus1900` - int Desired year minus 1900
    `iMonthZeroBased` - int Desired month (zero based) [0..11]
  Returns:
    Total number of meetings in given month
  Throws:
    `java.sql.SQLException`

### loadMeetingsForRoom

    public int loadMeetingsForRoom(JDCConnection oConn,
                                   int iDomainId,
                                   java.lang.String sWorkAreaId,
                                   java.lang.String sRoomNm,
                                   int iYearMinus1900,
                                   int iMonthZeroBased)
                            throws java.sql.SQLException

  Load meetings taking place at a Room

  Parameters:
    `oConn` - JDCConnection
    `iDomainId` - int Domain Id.
    `sWorkAreaId` - Work Area GUID
    `sFellowId` - Fellow GUID
    `iYearMinus1900` - int Desired year minus 1900
    `iMonthZeroBased` - int Desired month (zero based) [0..11]
  Returns:
    Total number of meetings in given month
  Throws:
    `java.sql.SQLException`

### loadMeetingsForAddress

    public int loadMeetingsForAddress(JDCConnection oConn,
                                      int iDomainId,
                                      java.lang.String sWorkAreaId,
                                      java.lang.String sAddrId,
                                      int iYearMinus1900,
                                      int iMonthZeroBased)
                               throws java.sql.SQLException

  Load meetings taking place at an Address

  Parameters:
    `oConn` - JDCConnection
    `iDomainId` - int Domain Id.
    `sWorkAreaId` - Work Area GUID
    `sAddrId` - Address GUID
    `iYearMinus1900` - int Desired year minus 1900
    `iMonthZeroBased` - int Desired month (zero based) [0..11]
  Returns:
    Total number of meetings in given month
  Throws:
    `java.sql.SQLException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration<Meeting>`

### nextElement

    public Meeting nextElement()
                        throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration<Meeting>`
  Throws:
    `java.util.NoSuchElementException`

### getMeetingGuid

    public java.lang.String getMeetingGuid(int nMeeting)

### getMeetingTitle

    public java.lang.String getMeetingTitle(int nMeeting)

### getMeetingStart

    public java.util.Date getMeetingStart(int nMeeting)

### getMeetingEnd

    public java.util.Date getMeetingEnd(int nMeeting)

### isMeetingPrivate

    public boolean isMeetingPrivate(int nMeeting)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD